import 'package:fcs/domain/entities/package.dart';

abstract class PackageService {
  Future<void> createPackages(List<Package> packages, String fcsID);
  Future<void> createReceiving(Package package);
  Future<void> updateReceiving(Package package);
  Future<void> deleteReceiving(Package package);
  Future<void> updateProcessing(Package package);
  Future<void> deleteProcessing(Package package);
  Future<List<Package>> searchPackage(String term);
  Future<void> changeDeliveryAddress(String packageID, String deliveryID);
  Future<void> packageReturn(String packageID);
}
